>From 72c65c90a97583ffaa36cc8fe68487e5f04b9b69 Mon Sep 17 00:00:00 2001
From: Jari Aalto <jari.aalto@cante.net>
Date: Sat, 25 Feb 2012 02:56:38 -0500
Subject: [PATCH] format-3.0
Organization: Private
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

Signed-off-by: Jari Aalto <jari.aalto@cante.net>
---
 debian/README.source                               |    7 -----
 debian/changelog                                   |   12 +++++++++
 debian/compat                                      |    2 +-
 debian/control                                     |    4 +-
 debian/patches/00list                              |    3 --
 ..._tests.dpatch => 03_skip_expensive_tests.patch} |   18 +++++++-------
 .../patches/04_remove_install-exec-am_rule.dpatch  |   25 --------------------
 .../patches/04_remove_install-exec-am_rule.patch   |   24 +++++++++++++++++++
 .../{06_quicktest.dpatch => 06_quicktest.patch}    |   23 +++++++++--------
 debian/patches/series                              |    3 ++
 debian/source/format                               |    1 +
 11 files changed, 64 insertions(+), 58 deletions(-)
 delete mode 100644 debian/README.source
 delete mode 100644 debian/patches/00list
 rename debian/patches/{03_skip_expensive_tests.dpatch => 03_skip_expensive_tests.patch} (68%)
 delete mode 100644 debian/patches/04_remove_install-exec-am_rule.dpatch
 create mode 100644 debian/patches/04_remove_install-exec-am_rule.patch
 rename debian/patches/{06_quicktest.dpatch => 06_quicktest.patch} (63%)
 create mode 100644 debian/patches/series
 create mode 100644 debian/source/format

diff --git a/debian/README.source b/debian/README.source
deleted file mode 100644
index cd25e02..0000000
--- a/debian/README.source
+++ /dev/null
@@ -1,7 +0,0 @@
-apbs source for Debian
-----------------------
-
-This package uses the `dpatch' patch management solution. See
-/usr/share/doc/dpatch/README.source.gz.
-
- -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>, July 2009
diff --git a/debian/changelog b/debian/changelog
index cb70356..9b7c6b9 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,15 @@
+apbs (1.2.1b-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+    Upgrade to packaging format "3.0 quilt".
+  * debian/rules: Remove dpatch.
+  * debian/control: (Standards-Version) Bumped to 3.9.3.
+    (Build-Depends): Update debhelper to 9.
+  * debian/patches: Convert to quilt format. Note: all patches that didn't
+    apply cleanly were run through "quilt refresh".
+
+ -- Jari Aalto <jari.aalto@cante.net>  Sat, 25 Feb 2012 02:45:26 -0500
+
 apbs (1.2.1b-1) unstable; urgency=low
 
   * New upstream (bugfix) release.
diff --git a/debian/compat b/debian/compat
index 7ed6ff8..ec63514 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-5
+9
diff --git a/debian/control b/debian/control
index 01be4ea..70523ae 100644
--- a/debian/control
+++ b/debian/control
@@ -4,10 +4,10 @@ Priority: optional
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>,
  Daniel Leidert (dale) <daniel.leidert@wgdd.de>
-Build-Depends: cdbs, debhelper (>> 5), autotools-dev, dpatch, bc,
+Build-Depends: cdbs, debhelper (>= 9), autotools-dev, bc,
  gfortran, libarpack2-dev, libblas-dev, libmaloc-dev, mpi-default-dev (>= 0.3),
  python-minimal
-Standards-Version: 3.8.3
+Standards-Version: 3.9.3
 Homepage: http://apbs.sourceforge.net
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/apbs/
diff --git a/debian/patches/00list b/debian/patches/00list
deleted file mode 100644
index 578d2d6..0000000
--- a/debian/patches/00list
+++ /dev/null
@@ -1,3 +0,0 @@
-03_skip_expensive_tests
-04_remove_install-exec-am_rule
-06_quicktest
diff --git a/debian/patches/03_skip_expensive_tests.dpatch b/debian/patches/03_skip_expensive_tests.patch
similarity index 68%
rename from debian/patches/03_skip_expensive_tests.dpatch
rename to debian/patches/03_skip_expensive_tests.patch
index c44bd4b..97dfee1 100644
--- a/debian/patches/03_skip_expensive_tests.dpatch
+++ b/debian/patches/03_skip_expensive_tests.patch
@@ -1,13 +1,13 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 03_skip_expensive_tests.dpatch by Michael Banck <mbanck@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Skip tests which take a lot of memory and CPU.
+From: Michael Banck <mbanck@debian.org>
+Subject: Skip tests which take a lot of memory and CPU.
 
-@DPATCH@
---- apbs/examples/Makefile.in.orig	2007-07-17 18:06:39.000000000 +0200
-+++ apbs/examples/Makefile.in	2007-07-17 18:06:47.000000000 +0200
-@@ -278,13 +278,13 @@
+---
+ examples/Makefile.in |    4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+--- a/examples/Makefile.in
++++ b/examples/Makefile.in
+@@ -372,13 +372,13 @@
  test:
  	rm -f TESTRESULTS.log
  	touch TESTRESULTS.log
diff --git a/debian/patches/04_remove_install-exec-am_rule.dpatch b/debian/patches/04_remove_install-exec-am_rule.dpatch
deleted file mode 100644
index 872c12d..0000000
--- a/debian/patches/04_remove_install-exec-am_rule.dpatch
+++ /dev/null
@@ -1,25 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 04_remove_install-exec-am_rule.dpatch by Michael Banck <mbanck@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Remove the install-exec-am rule from the top-level Makefile.  We 
-## DP: can just install that data manually and it does not support 
-## DP: DESTDIR anyway.
-
-@DPATCH@
-diff -urNad apbs~/Makefile.in apbs/Makefile.in
---- apbs~/Makefile.in	2009-04-13 20:47:41.000000000 +0200
-+++ apbs/Makefile.in	2009-07-17 18:16:51.000000000 +0200
-@@ -664,12 +664,6 @@
- install-exec-local:
- 	-rm -f ./bin/apbs
- 
--install-data-local:
--	mkdir -p ${prefix}/share
--	-cp -rf examples ${prefix}/share 
--	-cp -rf doc ${prefix}/share 
--	-cp -rf tools ${prefix}/share
--
- test:
- 	cd examples; make test
- # Tell versions [3.59,3.63) of GNU make to not export all variables.
diff --git a/debian/patches/04_remove_install-exec-am_rule.patch b/debian/patches/04_remove_install-exec-am_rule.patch
new file mode 100644
index 0000000..949af16
--- /dev/null
+++ b/debian/patches/04_remove_install-exec-am_rule.patch
@@ -0,0 +1,24 @@
+From: Michael Banck <mbanck@debian.org>
+Subject: Remove the install-exec-am rule from the top-level Makefile.
+ We can just install that data manually and it does not support
+ DESTDIR anyway.
+
+---
+ Makefile.in |    6 ------
+ 1 file changed, 6 deletions(-)
+
+--- a/Makefile.in
++++ b/Makefile.in
+@@ -675,12 +675,6 @@
+ install-exec-local:
+ 	-rm -f ./bin/apbs
+ 
+-install-data-local:
+-	mkdir -p ${prefix}/share
+-	-cp -rf examples ${prefix}/share 
+-	-cp -rf doc ${prefix}/share 
+-	-cp -rf tools ${prefix}/share
+-
+ test:
+ 	cd examples; make test
+ # Tell versions [3.59,3.63) of GNU make to not export all variables.
diff --git a/debian/patches/06_quicktest.dpatch b/debian/patches/06_quicktest.patch
similarity index 63%
rename from debian/patches/06_quicktest.dpatch
rename to debian/patches/06_quicktest.patch
index 1c2f7e1..77eed26 100644
--- a/debian/patches/06_quicktest.dpatch
+++ b/debian/patches/06_quicktest.patch
@@ -1,12 +1,13 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## 06_quicktest.dpatch by Michael Banck <mbanck@debian.org>
-##
-## All lines beginning with `## DP:' are a description of the patch.
-## DP: Add a `quicktest' target which only runs a couple of small tests
+From: Michael Banck <mbanck@debian.org>
+Subject: Add a `quicktest' target which only runs a couple of small tests
 
-@DPATCH@
---- apbs-1.0.0.orig/examples/Makefile.am
-+++ apbs-1.0.0/examples/Makefile.am
+---
+ examples/Makefile.am |    7 +++++++
+ examples/Makefile.in |    7 +++++++
+ 2 files changed, 14 insertions(+)
+
+--- a/examples/Makefile.am
++++ b/examples/Makefile.am
 @@ -31,6 +31,13 @@
  	cd smbe; make clean
  	cd solv; make clean
@@ -21,9 +22,9 @@
  test:
  	rm -f TESTRESULTS.log
  	touch TESTRESULTS.log
---- apbs-1.0.0.orig/examples/Makefile.in
-+++ apbs-1.0.0/examples/Makefile.in
-@@ -357,6 +360,13 @@
+--- a/examples/Makefile.in
++++ b/examples/Makefile.in
+@@ -369,6 +369,13 @@
  	cd smbe; make clean
  	cd solv; make clean
  
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..3170ae3
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1,3 @@
+03_skip_expensive_tests.patch
+04_remove_install-exec-am_rule.patch
+06_quicktest.patch
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
-- 
1.7.9

